%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jboss-negotiation
Version:       3.0.2
Release:       2%{?dist}
Summary:       JBoss Negotiation
# NOT available license file https://github.com/wildfly-security/jboss-negotiation/issues/32
License:       LGPLv2+
URL:           http://www.jboss.org/picketlink/Negotiation
Source0:       https://github.com/wildfly-security/jboss-negotiation/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(io.undertow:undertow-core)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires: mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(org.jboss.logging:jboss-logging)
BuildRequires: mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.1_spec)
BuildRequires: mvn(org.picketbox:picketbox)
BuildRequires: mvn(org.picketbox:picketbox-commons)

BuildArch:     noarch

%description
Negotiation project provides SPNEGO/Kerberos support in JBoss.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_disable_module jboss-negotiation-toolkit

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Aug 21 2016 gil cattaneo <puntogil@libero.it> 3.0.2-1
- update to 3.0.2.Final

* Sun Jul 10 2016 gil cattaneo <puntogil@libero.it> 3.0.0-1
- update to 3.0.0.Final

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Aug 08 2015 gil cattaneo <puntogil@libero.it> 2.2.7-4
- fix FTBFS rhbz#1239601
- fix BR list and use BR mvn()-like
- remove duplicate files
- fix some rpmlint problem

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 13 2014 Marek Goldmann <mgoldman@redhat.com> - 2.2.7-2
- Drop the release tag

* Fri Jun 13 2014 Marek Goldmann <mgoldman@redhat.com> - 2.2.7-1.Final
- Upstream release 2.2.7.Final

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-12.SP1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.2.0-11.SP1
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-10.SP1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-9.SP1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.2.0-8.SP1
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Fri Jul 20 2012 Marek Goldmann <mgoldman@redhat.com> - 2.2.0-7.SP1
- Fixed BR, finally

* Fri Jul 20 2012 Marek Goldmann <mgoldman@redhat.com> - 2.2.0-6.SP1
- Fixed BR

* Fri Jul 20 2012 Marek Goldmann <mgoldman@redhat.com> 2.2.0-5.SP1
- Fixed BR

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-4.SP1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 02 2012 Marek Goldmann <mgoldman@redhat.com> 2.2.0-3.SP1
- Fixed jar filenames naming

* Wed Mar 28 2012 Marek Goldmann <mgoldman@redhat.com> 2.2.0-2.SP1
- Fixed BR

* Mon Feb 20 2012 Marek Goldmann <mgoldman@redhat.com> 2.2.0-1.SP1
- Initial packaging

